petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFDColoringCreate

Creates a matrix coloring context for finite difference computation of Jacobians.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringCreate(Mat mat,ISColoring iscoloring,MatFDColoring *color)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian Many br
| iscoloring | - the coloring of the matrix; usually obtained with MatColoringCreate() or DMCreateColoring() Many br

### Output Parameter

color -the new coloring context Many br

Many br

### See Also

MatFDColoringDestroy(),SNESComputeJacobianDefaultColor(), ISColoringCreate(),
MatFDColoringSetFunction(), MatFDColoringSetFromOptions(), MatFDColoringApply(), Many brMatFDColoringView(), MatFDColoringSetParameters(), MatColoringCreate(), DMCreateColoring() Many br

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html